Subject: Re: rxvt win32 port updated
From: "$Bill Luebkert" <[email-masked]>
To: [email-masked]
Date: Wed, 07 Apr 1999 16:11:59 -0700

bub wrote:
> 
> Hi,
> 
> I've posted a new rxvt-port-to-win32-api binary to:
>      http://www.io.com/~bub/rxvt.html
> 
> It fixes a number of bugs and improves the scrollbar support.

Would love to use xterm in W95a, but without resolving a couple of 
issues, I can't.

1) I'm using native tcsh port as shell and it works fine (so far) in rxvt 
   except the tcsh prompts don't print.

rxvt seems to be much faster than crappy M$ console.  :)

2) Without cut-n-paste a terminal window is useless.  I can cut fine, but 
   how to paste?

Less important:

3) There is an annoying console window that comes up and stays for the duration 
   of xterm.  I can live with this if I have to, but is there a way to dump it?
   tcsh commands are being put into the console title as they are executed.

I'm using a Perl startup script:

$ENV{'CYGWIN'} = 'tty binmode';
$ENV{'HOME'} = 'E:\home\dbe';
chdir $ENV{'HOME'} or die "chdir $ENV{'HOME'}: $!\n";
$rxvt = 'E:\\home\\dbe\\bin\\dos\\rxvt.exe';
$font = '-fn "Lucida Console-13"';
$color = '-bg LightBlue -fg Black';
$scroll = '-sl 5000';
$geom = '-geometry 80x68+100+50';
$shell = '-e "/E/home/dbe/bin/dos/tcsh.exe"';
$args = "$font $color $scroll $geom $shell";
$cmd = "start $rxvt $args";
$ret = system $cmd;
print "$ret: $!\n" if $ret;

Appreciate any help with this, pointers, etc.
-- 
  ,-/-  __      _  _         $Bill Luebkert   ICQ=14439852
 (_/   /  )    // //       DBE Collectibles   http://www.wgn.net/~dbe/
  / ) /--<  o // //      Mailto:[email-masked]   V3: http://come.to/dbe
-/-' /___/_<_</_</_    http://www.freeyellow.com/members/dbecoll/

--
Want to unsubscribe from this list?
Send a message to [email-masked]